# Benachrichtigungsmail bei Anmeldung per Remote Desktop Protokoll


**1. Skript: rdp-access-mail-notification.v3.ad.ps1**

- **Beschreibung:** Dieses Skript sendet eine E-Mail-Benachrichtigung an alle Mitglieder einer Sicherheitsgruppe, wenn sich jemand per Remote Desktop Protocol (RDP) auf einem Windows-System anmeldet. Es extrahiert Informationen aus dem Ereignisprotokoll und informiert die Benutzer über die Anmeldung, einschließlich Datum, Uhrzeit, Domäne, Benutzer und IP-Adresse des Clients.

**Voraussetzung:**
Folgendes Modul muss auf allen Systemen, auf denen das Script läuft, installiert sein:

Dies kann man einfach per Powershell machen:

    Install-WindowsFeature  RSAT-AD-PowerShell


**2. Skript: rdp-access-mail-notification.v3.local.ps1**

- **Beschreibung:** Dieses Skript sendet eine E-Mail-Benachrichtigung, wenn sich jemand per Remote Desktop Protocol (RDP) auf einem Windows-System anmeldet. Es verwendet Informationen aus dem Ereignisprotokoll, um die Benutzer über die Anmeldung zu informieren, einschließlich Datum, Uhrzeit, Domäne, Benutzer und IP-Adresse des Clients. Die Benachrichtigung geht an eine vordefinierte Empfängeradresse.


Das ganze könnte dann so aussehen:

![notification](/screenshots/notification.png)